boost::geometry::equal_to< Point, Dimension, Strategy > Struct Template Reference
compare: define compare functors for points

Equal To functor, to compare if points are equal. More...

## Detailed Description

### template<typename Point, int Dimension = -1, typename Strategy = strategy::compare::default_strategy>
struct boost::geometry::equal_to< Point, Dimension, Strategy >

Equal To functor, to compare if points are equal.

Template Parameters:

  Geometry | the geometry
  Dimension | the dimension to compare on, defaults to -1, indicating ALL dimensions. If a dimension is specified, only that dimension is considered
  Strategy | underlying coordinate comparing functor

Examples:
  02_linestring_example.cpp.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK